Bug 429722 - No floppy config in Fedora 8 kernel?
No floppy config in Fedora 8 kernel?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 12:58 EST by Paul Tibbitts
Modified: 2009-01-09 00:50 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:50:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Tibbitts 2008-01-22 12:58:10 EST
Description of problem: 

Standard internal floppy not recognized.  No string "FLOP" in
config-2.6.23.9-85.fc8. No /dev/fd* files created. This kernel was installed and
updated from standard repositories - not compiled from source.

On same hardware older kernels print:
FDC 0 is a National Semiconductor PC87306
and device files are created and floppy works.

Computer boots older linux from floppy when bootable diskette installed.

Version-Release number of selected component (if applicable):
2.6.23.9-85.fc8

How reproducible:

always


Steps to Reproduce:
1. boot
2.
3.
  
Actual results:

Expected results:


Additional info:
Comment 1 Chuck Ebbert 2008-01-22 14:09:12 EST
That's "CONFIG_BLK_DEV_FD" and it is set.
Comment 2 Paul Tibbitts 2008-01-22 14:47:48 EST
Thank you for that reply.  Sorry I didn't know the parameter name had changed
from earlier 2.6 kernels. I was comparing to two other computers, one with
CentOS 4.4 and one with FC6.  Seemed like not too big a jump from
2.6.22.14-72.fc6 to 2.6.23.9-85.fc8.

However the problem remains, there are no floppy device files and the kernel
does not report finding a floppy at boot, unless that message has also changed.

dmesg | grep -i fd example in 2.6.9-42.0.10: 

.....
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
....

and on  2.6.22.14-72.fc6:

....
Floppy drive(s): fd0 is 1.44M
FDC 0 is an 8272A
....

When I do the same case-insensitive search for "fd" on FC8  2.6.23.9-85:

ACPI: RSDP 000FDF50, 0014 (r0 DELL  )
ACPI: RSDT 000FDF64, 0028 (r1 DELL    GX1            2 ASL        61)
ACPI: FACP 000FDF8C, 0074 (r1 DELL    GX1            2 ASL        61)
ehci_hcd 0000:02:09.2: irq 11, io mem 0xfaffdc00

nothing else.

The man pages still state that floppy device files are /dev/fd*.  They aren't
present on FC8.  I have reinstalled on another computer from scratch, same result.
Comment 3 Chuck Ebbert 2008-01-22 19:22:56 EST
You just need to load the driver with the modprobe command:

# modprobe floppy

In Fedora 6 the floppy module was loaded by the script
/etc/sysconfig/modules/udev-stw.modules:

#!/bin/sh
for i in nvram floppy parport lp snd-powermac sonypi;do
        modprobe $i >/dev/null 2>&1
done

That script is gone in F8...
Comment 4 Paul Tibbitts 2008-01-23 01:27:00 EST
Replacing this file fixes the problem, thanks!
Comment 5 Bug Zapper 2008-11-26 04:31:57 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:50:16 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.